<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/ScrollView1"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:background="@color/list_background" >

    <TableLayout
        android:id="@+id/TableLayout1"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content" >

        <TableRow
            android:id="@+id/tableRow1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:layout_marginBottom="5dip"
            android:text="@string/signup_text"
            android:textAppearance="?android:attr/textAppearanceSmall" />

        </TableRow>
        
        <TableRow
            android:id="@+id/tableRow2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight=".3"
            android:text="@string/username_label"
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <EditText
            android:id="@+id/usernameText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="3dp"
            android:ems="10"
            android:inputType="text" >

            <requestFocus android:layout_width="wrap_content" />
        </EditText>
        </TableRow>
        
        <TableRow
            android:id="@+id/tableRow3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight=".35"
            android:text="@string/password_label"
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <EditText
            android:id="@+id/passwordText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="3dp"
            android:ems="10"
            android:inputType="textPassword" />

        </TableRow>
        
        <TableRow
            android:id="@+id/tableRow4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight=".35"
            android:text="@string/email_label"
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <EditText
            android:id="@+id/emailText"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dp"
            android:ems="10"
            android:inputType="textEmailAddress" />

        </TableRow>
        
        <TableRow
            android:id="@+id/tableRow5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight=".35"
            android:text="@string/first_name_label"
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <EditText
            android:id="@+id/firstNameText"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dp"
            android:ems="10"
            android:inputType="textPersonName" />

        </TableRow>
        <TableRow
            android:id="@+id/tableRow6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/textView6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight=".35"
            android:text="@string/last_name_label"
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <EditText
            android:id="@+id/lastNameText"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="3dp"
            android:ems="10"
            android:inputType="textPersonName" />

        </TableRow>

        <TableRow
            android:id="@+id/tableRow8"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

	        <ImageView
	            android:id="@+id/imageProfile"
	            android:layout_width="72dp"
	            android:layout_height="72dp"
	            android:layout_margin="5dp"
	            android:layout_weight=".5"
	            android:contentDescription="@string/picture_label"
	            android:maxHeight="75dp"
	            android:maxWidth="75dp"
	            android:scaleType="fitCenter"
	            android:src="@drawable/generic_profile_sm" />

	        <TextView
	            android:id="@+id/textView7"
	            android:layout_width="wrap_content"
	            android:layout_height="wrap_content"
	            android:layout_gravity="center_vertical"
	            android:text="@string/picture_prompt" />

        </TableRow>

        <TableRow
            android:id="@+id/tableRow7"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

	    <Button
	        android:id="@+id/btn_save"
	        android:layout_width="wrap_content"
	        android:layout_height="wrap_content"
	        android:layout_gravity="center_horizontal"
	        android:text="@string/save_label" />

        </TableRow>

        </TableLayout>

</ScrollView>